[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.Arc

Use Arc to draw an elliptically curved line with the current Pen.

## Declaration

Source position: winapih.inc line 35

`public function TWidgetSet.Arc(`
`DC: HDC;`
`Left: Integer;`
`Top: Integer;`
`Right: Integer;`
`Bottom: Integer;`
`Angle16Deg: Integer;`
`Angle16DegLength: Integer`
`):Boolean; virtual;`

## Arguments

`Angle16Deg` |  | base angle.
`Angle16DegLength` |  | angle length.

## Function result

False on failure.

## Description

The arc is part of the ellipse inscribed in the bounding rectangle.

The angles angle1 and angle2 are 1/16th of a degree. For example, a full circle equals 5760 (16*360). Positive values of Angle and AngleLength mean counter-clockwise while negative values mean clockwise direction. Zero degrees is at the 3 o'clock position.